ServerEvents.recipes(event => {
    // Создаем массив с чередованием 16 раз
    const ingredients = [];
    for (let i = 0; i < 16; i++) {
        ingredients.push('createchromaticreturn:chromatic_compound');
        ingredients.push('cataclysm:black_steel_ingot');
    }

    // Добавляем жидкость в конце
    ingredients.push({ fluid: 'createchromaticreturn:shadow_essence', amount: 1000 });

    // Рецепт для Shadow Steel
    event.recipes.createMixing('createchromaticreturn:shadow_steel', ingredients).superheated();

    // Рецепт для Black Steel Ingot
    event.recipes.createMixing('cataclysm:black_steel_ingot', [
        'minecraft:iron_ingot',
        'createchromaticreturn:carbon_powder',
        'createchromaticreturn:carbon_powder'
    ]).heated();
    event.recipes.createMixing(
        [Item.of('enicreo:holyingot')],
        [
            Item.of('tfmg:lithium_ingot'),
            Item.of('tfmg:nickel_ingot'),
            Item.of('tfmg:plastic_sheet'),
            Item.of('tfmg:aluminum_ingot'),
            Item.of('born_in_chaos_v1:dark_metal_ingot'),
            Item.of('create:andesite_alloy'),
            Item.of('create:zinc_ingot'),
            Item.of('minecraft:iron_ingot'),
            Item.of('createchromaticreturn:silkstrum')
        ]
    ).superheated();
    event.recipes.createMixing(
        [Item.of('enicreo:poilage_ingot')],
        [
            Item.of('createchromaticreturn:chromatic_compound'),
            Item.of('enigmaticlegacy:evil_ingot'),
            Item.of('createchromaticreturn:multiplite_ingot'),
            Item.of('createchromaticreturn:antiplite_ingot'),
            Item.of('celestial_core:virtual_gold_ingot'),
            Item.of('createchromaticreturn:durasteel_ingot'),
            Item.of('celestial_core:sakura_steel'),
            Item.of('botania:elementium_ingot'),
            Item.of('gnumus:vintage_alloy_ingot')
        ]
    ).superheated();
    event.recipes.createMixing(
        [Item.of('enicreo:flameingot')],
        [
            Item.of('minecraft:copper_ingot'),
            Item.of('mythicbotany:alfsteel_ingot'),
            Item.of('cataclysm:ignitium_ingot'),
            Item.of('cataclysm:ancient_metal_ingot'),
            Item.of('create:brass_ingot'),
            Item.of('minecraft:gold_ingot'),
            Item.of('createchromaticreturn:fortunite_bar'),
            Item.of('createaddition:electrum_ingot'),
            Item.of('createchromaticreturn:glowing_ingot')
        ]
    ).superheated();
    event.recipes.create.mixing(
        Item.of('enicreo:spaceingot'),
        [
            Item.of('enicreo:lightingot'),
            Item.of('enicreo:flameingot'),
            Item.of('enicreo:poilage_ingot'),
            Item.of('enicreo:nightingot'),
            Item.of('enicreo:holyingot'),
            Fluid.of('create_enchantment_industry:hyper_experience', 1000)
        ]
    ).superheated();
    

});
